Bug 1251320 - rfe: please change login to not add /bin:/sbin to $PATH
Summary: rfe: please change login to not add /bin:/sbin to $PATH
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-07 01:03 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-08-26 04:34 UTC (History)
2 users (show)

Fixed In Version: 2.27-0.2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 09:01:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1251192 0 unspecified CLOSED rfe: please change gdm to not add :/bin:/sbin to $PATH 2021-02-22 00:41:40 UTC

Internal Links: 1251192

Description Zbigniew Jędrzejewski-Szmek 2015-08-07 01:03:28 UTC
Description of problem:
login adds the "old school" dirs to the default $PATH. It's not harmful, but has some downsides:
- every path search is infinitesimally slower
- every execve strace log is longer
- anyone looking at $PATH has to think longer

Since the /usr split is long gone, please consider removing it also from the path. gdm (which sets the paths for graphical user sessions, now uses to 
--with-default-path=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin).

Version-Release number of selected component (if applicable):
[test@rawhide ~]$ rpm -qf /bin/login
util-linux-2.27-0.1.fc24.x86_64

[test@rawhide ~]$ strings /bin/login|grep :/bin
/usr/local/bin:/bin:/usr/bin
/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

Comment 1 Karel Zak 2015-08-12 08:46:50 UTC
Good point...

Comment 2 Karel Zak 2015-08-12 09:01:53 UTC
Fixed in f23 and rawhide.

Comment 3 Fedora Update System 2015-08-12 09:15:01 UTC
util-linux-2.27-0.2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/util-linux-2.27-0.2.fc23

Comment 4 Fedora Update System 2015-08-26 04:34:05 UTC
util-linux-2.27-0.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.